Subject: [bug#31447] [PATCH] linux-libre: Add aarch64-linux.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 17 May 2018 10:53:47 +0200

Hi Vagrant,

(Cc’ing Mark who takes care of the kernel.)

Vagrant Cascadian <[email-masked]> skribis:

> The attached patch adds support for aarch64-linux to linux-libre, based
> on the configuration provided in Debian's linux-image-4.16.0-1-arm64
> package.
>
> Tested booting on pine64+ running Debian; GuixSD possibly soon to
> follow...

Woohoo, nice!

> From b9e48a787b6b151b5c7df6036eb75752d3c4db24 Mon Sep 17 00:00:00 2001
> From: Vagrant Cascadian <[email-masked]>
> Date: Mon, 14 May 2018 03:20:17 +0000
> Subject: [PATCH] gnu: linux-libre: Enable build for aarch64-linux.
>
> * gnu/packages/linux.scm (%linux-compatible-systems): Add aarch64-linux.
> * gnu/packages/aux-files/linux-libre/4.16-arm64.conf: New file.

I think we should add the .conf file to gnu/local.mk, but apart from
that it LGTM.

Mark, WDYT?

Thanks,
Ludo’.